FreeMat

- Main Page
- Related Pages

vtkPerturbCoincidentVertices

Section: Visualization Toolkit Infovis Classes

# Usage

This filter perturbs vertices in a graph that have coincident coordinates. In particular this happens all the time with graphs that are georeferenced, so we need a nice scheme to perturb the vertices so that when the user zooms in the vertices can be distiquished.

To create an instance of class vtkPerturbCoincidentVertices, simply invoke its constructor as follows

      obj = vtkPerturbCoincidentVertices

# Methods

The class vtkPerturbCoincidentVertices has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPerturbCoincidentVertices class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPerturbCoincidentVertices = obj.NewInstance ()`
- `vtkPerturbCoincidentVertices = obj.SafeDownCast (vtkObject o)`
- `obj.SetPerturbFactor (double )` - Specify the perturbation factor (defaults to 1.0)
- `double = obj.GetPerturbFactor ()` - Specify the perturbation factor (defaults to 1.0)